%define jsoncpp_major 1
%define libname       %mklibname jsonrpccpp %{jsoncpp_major}
%define develname     %mklibname jsonrpccpp -d

Name:           libjson-rpc-cpp
Version:        1.4.1
Release:        %mkrel 1
Summary:        C++ JSON Library
License:        Public Domain
Group:          System/Libraries
#Url:           http://jsoncpp.sourceforge.net/
URL:            https://github.com/cinemast/libjson-rpc-cpp
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
#To generate docs
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libmicrohttpd)
BuildRequires:  hiredis-devel
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(argtable2)

%description
JsonCpp is a simple API to manipulate JSON value, handle serialization
and unserialization to string.

%package -n %libname
Summary:        JsonCpp library
Group:          System/Libraries

%description -n %libname
This framework provides cross platform JSON-RPC (remote procedure call)
support for C++. It is fully JSON-RPC 2.0 & 1.0 compatible.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       json-rpc-cpp-devel = %{version}-%{release}
Provides:       libjson-rpc-cpp-devel = %{version}-%{release}

%description -n    %{develname}
It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Files for building applications with %{name} support.

%prep
%autosetup -p1

%build
%cmake \
	-DCOMPILE_TESTS=NO \
	-DCOMPILE_STUBGEN=NO \
	-DFULL_PATH_LIBDIR=%{_libdir} \
	-DFULL_PATH_INCLUDEDIR=%{_includedir}
%cmake_build

%install
%cmake_install

%files -n %libname
%{_libdir}/libjsonrpccpp-*.so.%{jsoncpp_major}{,.*}

%files -n %develname
%doc AUTHORS.md CHANGELOG.md README.md
%license LICENSE.txt
%{_includedir}/jsonrpccpp/
%{_libdir}/libjsonrpccpp-*.so
%dir %{_libdir}/libjson-rpc-cpp/
%{_libdir}/libjson-rpc-cpp/cmake/
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Jan 12 2023 daviddavid <daviddavid> 1.4.1-1.mga9
+ Revision: 1932421
- new version: 1.4.1
- remove merged upstream patch

* Tue Mar 29 2022 umeabot <umeabot> 1.3.0-6.mga9
+ Revision: 1833014
- Mageia 9 Mass Rebuild

* Sun Nov 29 2020 luigiwalser <luigiwalser> 1.3.0-5.mga8
+ Revision: 1650314
- rebuild for jsoncpp

* Wed Aug 05 2020 joequant <joequant> 1.3.0-4.mga8
+ Revision: 1611028
- fix up compatibility patch
+ daviddavid <daviddavid>
- add patch to fix compatibility with libmicrohttpd-0.9.71

* Fri Feb 21 2020 umeabot <umeabot> 1.3.0-2.mga8
+ Revision: 1547759
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 1.3.0-1.mga8
+ Revision: 1488233
- new version: 1.3.0
+ wally <wally>
- build with new cmake macros

* Fri Jul 26 2019 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1424200
- new version: 1.2.0

* Sun Apr 14 2019 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1390045
- new version: 1.1.0

* Mon Nov 26 2018 joequant <joequant> 1.0.0-5.mga7
+ Revision: 1335706
- rebuild with new libs

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-4.mga7
+ Revision: 1298933
- Mageia 7 Mass Rebuild

* Wed Dec 27 2017 wally <wally> 1.0.0-3.mga7
+ Revision: 1185566
- conflict with libjson-rpc-cpp0.6

* Wed Dec 06 2017 wally <wally> 1.0.0-2.mga7
+ Revision: 1181499
- fix pkg names
- own unowned dirs

* Sat Nov 11 2017 tv <tv> 1.0.0-1.mga7
+ Revision: 1176927
- new release

* Mon Jan 02 2017 akien <akien> 0.6.0-2.mga6
+ Revision: 1079578
- Rebuild for libjsoncpp changed soname

* Tue Aug 09 2016 dlucio <dlucio> 0.6.0-1.mga6
+ Revision: 1045066
- Provides were not fixed
- imported package libjson-rpc-cpp

